info.bioinfweb.jphyloio.dataadapters.implementations

## Class NoSetsTreeNetworkGroupDataAdapter

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.EmptyAnnotatedDataAdapter<LinkedLabeledIDEvent>
  - - info.bioinfweb.jphyloio.dataadapters.implementations.NoSetsTreeNetworkGroupDataAdapter

- All Implemented Interfaces:
    AnnotatedDataAdapter, ElementDataAdapter<LinkedLabeledIDEvent>, TreeNetworkGroupDataAdapter

      public abstract class NoSetsTreeNetworkGroupDataAdapter
      extends EmptyAnnotatedDataAdapter<LinkedLabeledIDEvent>
      implements TreeNetworkGroupDataAdapter

  Abstract implementation of `TreeNetworkGroupDataAdapter`, which returns an empty object list adapter for `getTreeSets(ReadWriteParameterMap)`. Additionally an empty implementation of `EmptyAnnotatedDataAdapter.writeMetadata(ReadWriteParameterMap, info.bioinfweb.jphyloio.dataadapters.JPhyloIOEventReceiver)` is inherited.

  Application adapters that do not provide any tree/network sets can be inherited from this class.

  Since:
    0.1.0
  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSetsTreeNetworkGroupDataAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectListDataAdapter<LinkedLabeledIDEvent>` | `getTreeSets(ReadWriteParameterMap parameters)` Default implementation that always returns an empty object list adapter.

    - ### Methods inherited from class info.bioinfweb.jphyloio.dataadapters.implementations.EmptyAnnotatedDataAdapter

      `writeMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.dataadapters.TreeNetworkGroupDataAdapter

      `getTreeNetworkIterator`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.dataadapters.ElementDataAdapter

      `getStartEvent`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.dataadapters.AnnotatedDataAdapter

      `writeMetadata`

- - ### Constructor Detail

    - #### NoSetsTreeNetworkGroupDataAdapter

          public NoSetsTreeNetworkGroupDataAdapter()

  - ### Method Detail

    - #### getTreeSets

          public ObjectListDataAdapter<LinkedLabeledIDEvent> getTreeSets(ReadWriteParameterMap parameters)

      Default implementation that always returns an empty object list adapter.
      Specified by:
        `getTreeSets` in interface `TreeNetworkGroupDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        a shared instance of `EmptyObjectListDataAdapter`
      See Also:
        `TreeNetworkGroupDataAdapter.getTreeSets(ReadWriteParameterMap)`